Raygun
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Raygun action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Raygun notification",
"type": "RAYGUN",
"trigger_time": "ON_EVERY_EXECUTION",
"variables": [
{
"key": "token",
"value": "secure!rjMzYPhyffqEI8nmd4JPLuv51uhqpzJ4ykx+ilKrTgh9t4+/tGAPhF05EvhpdMj2",
"encrypted": true
}
],
"version": "$BUDDY_RUN_ID",
"token": "$token",
"api_key": "cgKu1yviT0HvlYecNEyFg",
"email": "$BUDDY_INVOKER_EMAIL",
"comment": "$BUDDY_INVOKER_COMMENT"
}'STATUS200 OK